ATD(8)

NAZWA
atd - uruchamia zadania kolejkowane do późniejszego wykonania

SKŁADNIA
atd [-l load_avg] [-b batch_interval] [-d] [-f] [-s]

OPIS
atd uruchamia zadania kolejkowane przez at(1).

OPCJE

-l  Określa ograniczenie wskaźnika obciążenia (load factor), powyżej którego zadania wsadowe nie powinny być uruchamiane, zamiast używania wbudowanego wskaźnika 1.5. Dla systemów SMP mających n procesorów, zapewne wskaźnik ten powinien zostać ustawiony na wartość większą od n-1.

-b  Określa minimalny odstęp w sekundach pomiędzy startem dwu zadań wsadowych (domyślnie 60).

-d  Tryb debugowania. Wyświetla komunikaty o błędach na standardowe wyjście błędów zamiast wykorzystywania syslog(3). Ta opcja włącza również -f.

-f  Uruchamia atd jako proces pierwszoplanowy.

-s  Przetwarza kolejkę at/batch tylko jednokrotnie. Służy głównie do uzyskania zgodności ze starszymi wersjami at; atd -s jest odpowiednikiem starego polecenia atrun.

OSTRZEŻENIE
atd nie będzie działać, jeśli katalog do przechowywania wyników jest zamontowany przez NFS, nawet jeżeli opcja no_root_squash NFS-u jest ustawiona.

PLIKI
/var/spool/cron/atjobs Katalog przechowujący zadania, powinien mieć uprawnienia dostępu równe "700", a jego właścicielem powinien być "daemon".

/var/spool/cron/atspool Katalog przechowujący wyniki (wyjście), powinien mieć uprawnienia dostępu równe "700", a jego właścicielem powinien być "daemon".

/etc/at.allow, /etc/at.deny Określają, kto może używać systemu at.

ZOBACZ TAKŻE
at(1), at.deny(5), at.allow(5), cron(8), crontab(1), syslog(3).

BŁĘDY
Funkcjonalność atd powinna być wcielona do cron(8).

TŁUMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika man są: Wojtek Kotwica (PTM) <wkotwica@post.pl> i Robert Luberda <robert@debian.org>.

Polskie tłumaczenie jest częścią projektu manpages-pl; uwagi, pomoc, zgłaszanie błędów na stronie http://sourceforge.net/projects/manpages-pl/. Jest zgodne z wersją 3.1.16 oryginału.